Bug 73691 - [JSC] Implement correct order of window.postMessage arguments
Summary: [JSC] Implement correct order of window.postMessage arguments
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebCore JavaScript (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Dmitry Lomov
URL:
Keywords:
Depends on: 73739
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-02 13:45 PST by Dmitry Lomov
Modified: 2011-12-13 17:18 PST (History)
7 users (show)

See Also:


Attachments
Fix (5.55 KB, patch)
2011-12-02 14:22 PST, Dmitry Lomov
no flags Details | Formatted Diff | Diff
Updated fix. (8.78 KB, patch)
2011-12-09 12:00 PST, Dmitry Lomov
levin: review+
Details | Formatted Diff | Diff
Fixed changelog (8.57 KB, patch)
2011-12-13 16:15 PST, Dmitry Lomov
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Lomov 2011-12-02 13:45:55 PST
Amd fix fast/dom/Window/window-postmessage-args-expected.txt
Comment 1 Dmitry Lomov 2011-12-02 14:22:19 PST
Created attachment 117691 [details]
Fix
Comment 2 Geoffrey Garen 2011-12-02 14:29:09 PST
Comment on attachment 117691 [details]
Fix

Would be nice to add a reference to the specification change that motivated this in your ChangeLog. Or were the JSC bindings for postMessage always wrong?
Comment 3 Dmitry Lomov 2011-12-02 14:32:19 PST
(In reply to comment #2)
> (From update of attachment 117691 [details])
> Would be nice to add a reference to the specification change that motivated this in your ChangeLog. Or were the JSC bindings for postMessage always wrong?

Yes they were always wrong (the addition of transfer list is very recent change).
Comment 4 WebKit Review Bot 2011-12-02 21:41:03 PST
Comment on attachment 117691 [details]
Fix

Clearing flags on attachment: 117691

Committed r101904: <http://trac.webkit.org/changeset/101904>
Comment 5 WebKit Review Bot 2011-12-02 21:41:07 PST
All reviewed patches have been landed.  Closing bug.
Comment 6 Csaba Osztrogonác 2011-12-03 01:09:48 PST
Reopen, because it was rolled out. (I don't have time to debug other's patch at my weekend, and we shouldn't leave all bots broken for two days.)

It broke many inspector tests on SL, GTK and Qt bots:
http://build.webkit.org/results/Qt%20Linux%20Release/r101904%20%2840534%29/results.html
http://build.webkit.org/results/GTK%20Linux%2032-bit%20Release/r101909%20%2819682%29/results.html
http://build.webkit.org/results/SnowLeopard%20Intel%20Release%20%28Tests%29/r101907%20%2835149%29/results.html
Comment 7 Dmitry Lomov 2011-12-05 10:40:51 PST
(In reply to comment #6)
> Reopen, because it was rolled out. (I don't have time to debug other's patch at my weekend, and we shouldn't leave all bots broken for two days.)
> 
> It broke many inspector tests on SL, GTK and Qt bots:
> http://build.webkit.org/results/Qt%20Linux%20Release/r101904%20%2840534%29/results.html
> http://build.webkit.org/results/GTK%20Linux%2032-bit%20Release/r101909%20%2819682%29/results.html
> http://build.webkit.org/results/SnowLeopard%20Intel%20Release%20%28Tests%29/r101907%20%2835149%29/results.html
Yikes, thanks so much for taking care of this!!!
Comment 8 Dmitry Lomov 2011-12-09 12:00:58 PST
Created attachment 118603 [details]
Updated fix.

Implements the new spec for window.postMessage, while keeping backwards-compatibility with webkit proprietary legacy behavior
Comment 9 David Levin 2011-12-13 15:51:07 PST
Comment on attachment 118603 [details]
Updated fix.

View in context: https://bugs.webkit.org/attachment.cgi?id=118603&action=review

> LayoutTests/ChangeLog:15
> +2011-12-08  Dmitry Lomov  <dslomov@google.com>

dup change log that needs removal.
Comment 10 Dmitry Lomov 2011-12-13 16:15:04 PST
Created attachment 119102 [details]
Fixed changelog
Comment 11 WebKit Review Bot 2011-12-13 17:17:58 PST
Comment on attachment 119102 [details]
Fixed changelog

Clearing flags on attachment: 119102

Committed r102722: <http://trac.webkit.org/changeset/102722>
Comment 12 WebKit Review Bot 2011-12-13 17:18:03 PST
All reviewed patches have been landed.  Closing bug.